import { ChangeDetectorRef } from '@angular/core';
import { ToastConfig } from './toast.config';
export declare class ToastComponent {
    protected cd: ChangeDetectorRef;
    toasts: any;
    config: ToastConfig;
    constructor(config: ToastConfig, cd: ChangeDetectorRef);
    createToast(toastData: any): void;
    removeToast(toastId: string): void;
    removeToastAll(): void;
    protected _mergeOptions(options: ToastConfig): ToastConfig;
}
